<style>
	.cursor-pointer{
		cursor:pointer;
	}
</style>
<div class="row">
	<div class="panel blank-panel">
		<div class="panel-body">
			<div class="row">
				<div class="col-md-8">
					<div class="col-md-12">
						<p>
							<label class="col-md-4">Nombre Caja: </label><span class="col-md-8"> <?php echo $cajachica->nombre_cajachica;?></span>
							<input type="hidden" id="estado_cajachica" value="<?php echo $cajachica->estado_cajachica;?>">
							<input type="hidden" id="id_cajachica" value="<?php echo $cajachica->id_cajachica;?>">
						</p>
					</div>
					<div class="col-md-12">
						<p>
							<label class="col-md-4">Estado: </label><span class="col-md-8" id="cajachica-estado"> <?php echo ($cajachica->estado_cajachica==0)?"Inactiva":"Activa";?></span>
						</p>
					</div>
					<div class="col-md-12">
						<p>
							<label class="col-md-4">Inicio: </label><span class="col-md-8" id="cajachica-desde"> <?php echo $cajachica->desde_corte;?></span>
						</p>
					</div>
					<div class="col-md-12">
						<p>
							<label class="col-md-4">Final: </label><span class="col-md-8" id="cajachica-hasta"> <?php echo $cajachica->hasta_corte;?></span>
						</p>
					</div>
				</div>
				<div class="col-md-4">
					<div class="col-sm-6">
						<button style="margin-top:10px;" type="button" id="cajachica-generar-cortes-btn" class="btn btn-block btn-success btn-md m-t-md">Generar</button>
					</div>
					<div class="col-sm-6">
						<button style="margin-top:10px;" type="button" id="cajachica-ver-cortes-btn" class="btn btn-block btn-danger btn-md m-t-md">Ver Cortes</button>
					</div>
				</div>
			</div>
			<div class="row">
				<form autocomplete="off" class="" name='formSaveTrans' id='formSaveTrans' method='post' action='<?php echo base_url('transacciones/guardar_transaccion');?>'>
					<div class="form-group">
						<div class="col-md-3"><!--Transaccion-->
							<label class="control-label">Transaccion:</label>
							<select  name="tipo_transaccion" id="tipo_transaccion" class="form-control" required>
								<option value="" disabled selected>Seleccione una...</option>
								<option value="0">Ingreso</option>
								<option value="1">Egreso</option>
							</select>
						</div>
					
						<div class="col-md-5"><!--Concepto-->
							<label class="control-label">Concepto:</label>
							<input type="text" class="form-control" name="concepto_transaccion" id="concepto_transaccion" required>
						</div>

						<div class="col-md-2"><!--Cantidad-->
							<label class="control-label">Costo:</label>
							<input type="number" step="0.01" min="0.01" class="form-control" name="monto_transaccion" id="monto_transaccion" onkeydown='return isNumberDecimalKey(event);' required>
						</div>
						
						<div class="col-md-2">
							<button class="btn btn-info btn-sm m-t-md" id="guardar-transaccion" type="submit" style="margin-top:28px;">Realizar cargo</button>
						</div>
					</div>
				</form>
			</div>
			
			<div class="hr-line-dashed"></div>
			<!--tabla-->
			<div id="cajachica-transacciones-wrapper" style="height:342px;">
				
			</div>
			
			<!--Botones-->
			<div class="row m-t-sm text-center">
				<button type="button" class="btn btn-danger" onclick="Custombox.close();">Salir</button>
				<button type="button" id="cajachica-app-exportar-imprimir" class="btn btn-primary">Exportar</button>
			</div>
			
			<!--modales-->
			<div>
				<!--Cortes-->
				<div class="modal inmodal fade" id="cajachica-cortes-modal" tabindex="-1" role="dialog"  aria-hidden="true">
					<div class="modal-dialog modal-lg" style="width:50%;">
						<div class="modal-content">
							<div class="modal-header">
								<h4 class="">Cortes</h4>
							</div>
							<div class="modal-body">
								<div class="row" style="height:300px;">
									<div id="cajachica-corte-x-wrapper">
										<div id="" class="alert alert-info m-t-sm">
											<i class="fa fa-info-circle fa-2x"></i><span class="p-sm">
												La caja se encuentra cerrada despues del ultimo cierre, para poder abrirla necesita realizar un corte de apertura para lo cual aunque no obligatorio puede ingresar una dotacion o dinero para cambio.
											</span>
										</div>
										<div class="row">
											<div class="col-sm-3"></div><div class="col-sm-6 text-center">
												<label class="control-label">Dotacion:</label>
												<input type="number" step="0.01" min="0.01" class="form-control" name="" id="cajachica-dotacion" onkeydown='return isNumberDecimalKey(event);' required>
											</div><div class="col-sm-3"></div>
										</div>
										<div class="row">
											<div class="col-sm-3"></div><div class="col-sm-6">
												<button type="button" id="cajachica-abrir-caja-btn" class="btn btn-link btn-block no-padding">
													<div class="widget style1 lazur-bg" style="cursor:pointer">
														<div class="row vertical-align">
															<div class="col-xs-3">
																<i class="fa fa-circle-o fa-2x"></i>
															</div>
															<div class="col-xs-9 text-right">
																<h4>Abrir Caja Chica</h4>
															</div>
														</div>
													</div>
												</button>
											</div><div class="col-sm-3"></div>
										</div>
									</div>
									<div id="cajachica-corte-z-wrapper" style="display:none;">
										<div id="" class="alert alert-info m-t-sm">
											<i class="fa fa-info-circle fa-2x"></i><span class="p-sm">
												La caja se encuentra activa, si la cierra tome en cuenta que no podra registrar mas transacciones de ingresos o gastos hasta que se vuelva a abrir y unicamente podra exportar la informacion comprendida entre la hora en que esta se abrio y el momento en que la esta cerrando.
											</span>
										</div>
										<div class="row">
											<div class="col-sm-3"></div><div class="col-sm-6">
												<button type="button" id="cajachica-cerrar-caja-btn" class="btn btn-link btn-block no-padding">
													<div class="widget style1 red-bg" style="cursor:pointer">
														<div class="row vertical-align">
															<div class="col-xs-3">
																<i class="fa fa-close fa-2x"></i>
															</div>
															<div class="col-xs-9 text-right">
																<h4>Cerrar Caja Chica</h4>
															</div>
														</div>
													</div>
												</button>
											</div><div class="col-sm-3"></div>
										</div>
									</div>
								</div>
							</div>
							<div class="modal-footer" id="cajachica-confirmar-buttons" style="text-align:center;">
								<button type="button" id="cajachica-cortes-aceptar-btn" class="btn btn-danger" data-dismiss="modal">Salir</button>
							</div>
						</div>
					</div>
				</div>
				
				<!--Detalles del exportar imprimir-->
				<div class="modal inmodal fade" id="cortes-app-exportar-opciones" tabindex="-1" role="dialog"  aria-hidden="true">
					<div class="modal-dialog modal-sm">
						<div class="modal-content">
							<div class="modal-header">
								<h4 class="">Opciones de cortes</h4>
							</div>
							<div class="modal-body">
								<label class="control-label">Incluir</label>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-gastos" checked> Gastos</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos" checked> Ingresos</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-resumen"> Mostrar resumido</label>
								</div>
								<div class="hr-line-dashed"></div>
								<label class="control-label">Por documento</label>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-doc-sd" checked> Ingresos sin Documento</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-doc-factura" checked> Ingresos con Factura</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-doc-ticket" checked> Ingresos con Tickets</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-doc-ccf" checked> Ingresos con CCF</label>
								</div>
								<div>
									<label class="cursor-pointer"><input type="checkbox" class="i-checks" id="corte-ingresos-doc-resumen"> Mostrar resumido</label>
								</div>
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-white" data-dismiss="modal">Cancelar</button>
								<button type="button" id="cortes-app-exportar-continuar-btn" class="btn btn-primary">Continuar</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
	<?php if($cajachica->corte_cajachica>0):?>
	$("#cajachica-app-exportar-imprimir").prop("disabled",false);
	<?php else:?>
	$("#cajachica-app-exportar-imprimir").prop("disabled",true);
	<?php endif;?>
	<?php if($cajachica->estado_cajachica==0):?>
	$("#cajachica-cortes-modal").modal({backdrop: 'static', keyboard: false});
	$("#cajachica-cortes-modal").modal("show");
	$("#guardar-transaccion").attr("disabled","disabled");
	$("#cajachica-corte-x-wrapper").css("display","block");
	<?php else:?>
	$("#cajachica-corte-x-wrapper").css("display","none");
	$("#cajachica-corte-z-wrapper").css("display","block");
	<?php endif;?>
	$("#cajachica-generar-cortes-btn").on("click",function(){
		$("#cajachica-cortes-modal").modal({backdrop: 'static', keyboard: false});
		$("#cajachica-cortes-modal").modal("show");
	});
	
	cargarTransacciones();
	
	/*BOTON exportar/imprimir corte (CLICK)*/
	$("#cajachica-app-exportar-imprimir").click(function(e){
		$("#cortes-app-exportar-opciones").modal({backdrop: 'static', keyboard: false});
		$("#cortes-app-exportar-opciones").modal("show");
	});
	
	$('#cajachica-abrir-caja-btn').on('click', function(e) {
		swal({
			title: "Abrir Caja Chica",
			text: "La Caja Chica esta a punto de abrirse, &iquest;Desea continuar?",
			html: true,
			type: "info",
			showCancelButton: true,
			cancelButtonText: "Cancelar",
			confirmButtonText: "Si, Abrir Caja",
		},
		function(isconfirm){
			if(isconfirm){
				$.post("<?php echo base_url();?>transacciones/abrir_cajachica",{
					id:$("#id_cajachica").val(),
					dotacion:$("#cajachica-dotacion").val(),
				},function(response){
					if(response){
						toastr.options = {
						  "closeButton": true,
						  "progressBar": true,
						  "positionClass": "toast-top-right"
						}
						toastr.success('La caja se ha abierto exitosamente.');
						$("#cajachica-cortes-aceptar-btn").click();
						$("#guardar-transaccion").prop("disabled",false);
						$("#cajachica-estado").text("Activa");
						$("#cajachica-desde").text(response);
						$("#cajachica-hasta").text("");
						$("#cajachica-corte-x-wrapper").css("display","none");
						$("#cajachica-corte-z-wrapper").css("display","block");
						$("#cajachica-app-exportar-imprimir").prop("disabled",false);
						cargarTransacciones();
					}
				},"text");
			}
		});
	});
	$('#cajachica-cerrar-caja-btn').on('click', function(e) {
		swal({
			title: "Cerrar Caja Chica",
			text: "La Caja Chica esta a punto de cerrarse, &iquest;Desea continuar?",
			html: true,
			type: "warning",
			confirmButtonColor: "#DD6B55",
			showCancelButton: true,
			cancelButtonText: "Cancelar",
			confirmButtonText: "Si, Cerrar Caja",
		},
		function(isconfirm){
			if(isconfirm){
				$.post("<?php echo base_url();?>transacciones/cerrar_cajachica",{
					id:$("#id_cajachica").val(),
				},function(response){
					if(response){
						toastr.options = {
						  "closeButton": true,
						  "progressBar": true,
						  "positionClass": "toast-top-right"
						}
						toastr.success('La caja se ha cerrado exitosamente.');
						$("#cajachica-cortes-aceptar-btn").click();
						$("#guardar-transaccion").prop("disabled",true);
						$("#cajachica-estado").text("Inactiva");
						$("#cajachica-hasta").text(response);
						$("#cajachica-corte-x-wrapper").css("display","block");
						$("#cajachica-corte-z-wrapper").css("display","none");
						cargarTransacciones();
					}
				},"text");
			}
		});
	});
	$('#cajachica-ver-cortes-btn').on('click', function(e) {
        Custombox.open({
            target:"<?php echo base_url('transacciones/cortes_cajachica');?>",
            effect: 'fadein',
			zIndex: 9903,
			overlayClose:false,
			complete:function(){
				$(".modal-body input:text").first().focus();
			}
        });
        e.preventDefault();
    });
	
	$('.i-checks').iCheck({
		checkboxClass: 'icheckbox_square-green',
		radioClass: 'iradio_square-green',
	});
	
	$("#formSaveTrans").on("submit",function(e){
		e.preventDefault();
		var $form=$(e.target);
		$form.find(":submit").prop('disabled', true);
		
		swal({
			title: "Guardar transacci&oacute;n",
			text: "La transacci&oacute;n se gaurdar&aacute; en el Sistema, &iquest;Desea continuar?",
			html: true,
			type: "warning",
			confirmButtonColor: "#DD6B55",
			showCancelButton: true,
			cancelButtonText: "Cancelar",
			confirmButtonText: "Si, Guardar",
		},
		function(isconfirm){
			if(isconfirm){
				$.post("<?php echo base_url();?>transacciones/guardar_transaccion_cajachica",{
					id:$("#id_cajachica").val(),
					tipo:$("#tipo_transaccion").val(),
					concepto:$("#concepto_transaccion").val(),
					monto:$("#monto_transaccion").val(),
				},function(response){
					if(response){
						toastr.options = {
						  "closeButton": true,
						  "progressBar": true,
						  "positionClass": "toast-top-right"
						}
						toastr.success('La transacci&oacute;n se ha guardado exitosamente.');
						$form.find(":submit").prop('disabled',false);
						$form[0].reset();
						cargarTransacciones();
					}
				},"text");
			}else{
				$form.find(":submit").prop('disabled',false);
			}
		});
	});
	
	$("#cortes-app-exportar-continuar-btn").click(function(e){
		if(!$(this).is(':disabled')){
			var gastos=$("#corte-gastos").is(":checked");
			var ingresos=$("#corte-ingresos").is(":checked");
			var ingresos_resumen=$("#corte-ingresos-resumen").is(":checked");
			var ingresos_doc_sd=$("#corte-ingresos-doc-sd").is(":checked");
			var ingresos_doc_factura=$("#corte-ingresos-doc-factura").is(":checked");
			var ingresos_doc_ticket=$("#corte-ingresos-doc-ticket").is(":checked");
			var ingresos_doc_ccf=$("#corte-ingresos-doc-ccf").is(":checked");
			var ingresos_doc_resumen=$("#corte-ingresos-doc-resumen").is(":checked");
			var id=$("#id_cajachica").val();
		
			url="<?php echo base_url();?>transacciones/exportar_corte";
			window.open(url+"?by=caja&id="+id+"&gastos="+gastos+"&ingresos="+ingresos+"&ingresos_resumen="+ingresos_resumen+"&ingresos_doc_sd="+ingresos_doc_sd+"&ingresos_doc_factura="+ingresos_doc_factura+"&ingresos_doc_ticket="+ingresos_doc_ticket+"&ingresos_doc_ccf="+ingresos_doc_ccf+"&ingresos_doc_resumen="+ingresos_doc_resumen,"_blank");
			$("#cortes-app-exportar-opciones").modal("hide");			
		}
	});
	
	$("#tipo_transaccion").on("change",function(e){
		$("#concepto_transaccion").focus();
	});
	
	function cargarTransacciones(){
		$.get('<?php echo base_url();?>transacciones/cargar_transaccionesxcajachica?id='+$("#id_cajachica").val())
		.done(function(data){                
			$('#cajachica-transacciones-wrapper').html(data);
		});
	}
</script>